local L = Capitalist.Locale
local realm = GetRealmName()
local character = UnitName("player")

local productsMemory = { }

function Capitalist:ProductMemoryReset()
	productsMemory = { }
end

function Capitalist:ProductIsEnabled(profession, skillName)
	return (not self.db.profile.professions[profession][skillName].disabled)
end

function Capitalist:ProductSetEnabled(profession, skillName, enabled)
	if (enabled) then
		self.db.profile.professions[profession][skillName].disabled = nil
	else
		self.db.profile.professions[profession][skillName].disabled = true
	end
end

function Capitalist:ProductComponentsAreVisible(profession, skillName)
	return (not productsMemory[profession]) or
		   (not productsMemory[profession][skillName]) or
		   (not productsMemory[profession][skillName].hiddenComponents)
end

function Capitalist:ProductComponentsSetVisible(profession, skillName, visible)
	if (visible) then
		if (productsMemory[profession]) then
			if (productsMemory[profession][skillName]) then
				productsMemory[profession][skillName].hiddenComponents = nil
			end
		end
	else
		if (not productsMemory[profession]) then
			productsMemory[profession] = {}
		end
		if (not productsMemory[profession][skillName]) then
			productsMemory[profession][skillName] = {}
		end
		productsMemory[profession][skillName].hiddenComponents = true
	end
end

function Capitalist:ProductIsVisible(profession, skillName)
	return (not productsMemory[profession]) or
		   (not productsMemory[profession][skillName]) or
		   (not productsMemory[profession][skillName].hidden)
end

function Capitalist:ProductSetVisible(profession, skillName, visible)
	if (visible) then
		if (productsMemory[profession]) then
			if (productsMemory[profession][skillName]) then
				productsMemory[profession][skillName].hidden = nil
			end
		end
	else
		if (not productsMemory[profession]) then
			productsMemory[profession] = {}
		end
		if (not productsMemory[profession][skillName]) then
			productsMemory[profession][skillName] = {}
		end
		productsMemory[profession][skillName].hidden = true
	end
end
